Xapian::ESetIterator Class Reference

Iterator over a Xapian::ESet. More...

`#include <eset.h>`

## Public Member Functions

| ESetIterator ()
| Create an unpositioned ESetIterator.
std::string | operator* () const
| Get the term at the current position.
ESetIterator & | operator++ ()
| Advance the iterator to the next position.
ESetIterator | operator++ (int)
| Advance the iterator to the next position (postfix version).
ESetIterator & | operator-- ()
| Move the iterator to the previous position.
ESetIterator | operator-- (int)
| Move the iterator to the previous position (postfix version).
ESetIterator & | operator+= (difference_type n)
| Move the iterator forwards by n positions.
ESetIterator & | operator-= (difference_type n)
| Move the iterator back by n positions.
ESetIterator | operator+ (difference_type n) const
| Return the iterator incremented by n positions.
ESetIterator | operator- (difference_type n) const
| Return the iterator decremented by n positions.
difference_type | operator- (const ESetIterator &o) const
| Return the number of positions between o and this iterator.
double | get_weight () const
| Get the weight for the current position.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Iterator over a Xapian::ESet.

## Member Function Documentation

## operator+()

ESetIterator Xapian::ESetIterator::operator+ | ( | difference_type | n | ) | const

inline

Return the iterator incremented by n positions.

If n is negative, decrements by (-n) positions.

## operator-()

ESetIterator Xapian::ESetIterator::operator- | ( | difference_type | n | ) | const

inline

Return the iterator decremented by n positions.

If n is negative, increments by (-n) positions.

The documentation for this class was generated from the following file:

- xapian/eset.h